<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Users - Ionix Crud</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
        <link rel="stylesheet" href="../css/shards.min.css">
        
        <script>
            function loadFilter() {
                filter = document.getElementById("filter").value
                if (!filter == null || !filter == "" || filter.length > 0) {
                    window.location = "/user/find/"+filter.trim();
                } else {
                    window.location = "/";
                }
            }
        </script>
    </head>
    <body>
        <div th:switch="${users}" class="container my-5">
            <div class="row">
                <div class="col-md-6">
                    <h2 th:case="null">No hay usuarios Registrados!</h2>
                    <div th:case="*">
                        <h2 class="my-5">Usuarios</h2>
                        <div class="alert alert-succefull"  style="padding: 0 !important;">
                            <strong><p th:text="${message}"></p></strong>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                              <input type="text" class="form-control input-sm" id="filter" placeholder="Usuario">
                            </div>
                            <div class="col-sm-3 text-right">
                                <input type="button"  value="Buscar" onclick="loadFilter()" class="btn btn-primary"/>
                            </div>
                        </div><br>
	                   
                        <table class="table table-striped table-responsive-md">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Usuario</th>
                                    <th>Correo</th>
                                    <th>Teléfono</th>
                                    <th>Editar</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr th:each="user : ${users}">
                                    <td th:text="${user.name}"></td>
                                    <td th:text="${user.username}"></td>
                                    <td th:text="${user.email}"></td>
                                    <td th:text="${user.phone}"></td>
                                    <td><a th:href="@{/admin/edit/{id}(id=${user.id})}" class="btn btn-primary"><i class="fas fa-user-edit ml-2"></i></a></td>
                                    <td><a th:href="@{/admin/delete/{id}(id=${user.id})}" class="btn btn-primary"><i class="fas fa-user-times ml-2"></i></a></td>
                                </tr>
                                <tr>
                                    <td th:if="${users==null or users.isEmpty()}" colspan="6">
                                        No se encontraron registros.  
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>      
                    <p class="my-5"><a href="admin/signup" class="btn btn-primary">Crear usuario<i class="fas fa-user-plus ml-2"></i></a></p>
                </div>
            </div>
        </div>
    </body>
</html>